{{- if $.Values.openstreetmapEnabled }}
---
apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: spa-osm-strip-prefix
  namespace: {{ .Release.Namespace }}
spec:
  stripPrefix:
    prefixes:
      - /openStreetMap
---
apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: spa-nominatim-strip-prefix
  namespace: {{ .Release.Namespace }}
spec:
  stripPrefix:
    prefixes:
      - /nominatim
---

apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: camunda-spa-ingress-secure
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
##### Openstreetmap
    - match: osm.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
    #- match: osm.{{ .Release.Namespace }}.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
      kind: Rule
      middlewares:
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      services:
        - name: open-street-map-service
          port: 80
##### Nominatim
    - match: nominatim.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
    #- match: nominatim.{{ .Release.Namespace }}.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
      kind: Rule
      middlewares:
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      services:
        - name: nominatim-service
          port: 7070
  tls:
    certResolver: ourcertresolver

{{- end }}